This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1460394 - Saved Reports getting deleted when deletes all finished reporting task from All Other Tasks page
Saved Reports getting deleted when deletes all finished reporting task from A...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity medium
: GA
: 5.8.1
Assigned To: Yuri Rudman
Niyaz Akhtar Ansari
report:task
: ZStream
Depends On: 1450272
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-09 18:09 EDT by Satoe Imaishi
Modified: 2017-08-02 13:29 EDT (History)
5 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1450272
Environment:
Last Closed: 2017-08-02 13:29:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-12 13:16:17 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/403b51d97b0c730db157c065c704e0994c9704fa

commit 403b51d97b0c730db157c065c704e0994c9704fa
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Thu Jun 1 17:57:11 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jun 12 13:14:54 2017 -0400

    Merge pull request #15134 from yrudman/fix-deleting-report-when-task-deleted
    
    Do not delete report if task associated with this report deleted
    (cherry picked from commit c17d0430bd143dbf3e40c131c2dc831bd4958bae)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1460394

 app/models/miq_report_result.rb       | 12 +++++++-----
 app/models/miq_task.rb                |  2 +-
 spec/models/miq_report_result_spec.rb | 29 +++++++++++++++++++++++++++++
 3 files changed, 37 insertions(+), 6 deletions(-)
Comment 3 CFME Bot 2017-06-12 13:28:27 EDT
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/6d1926142de8211b0f4c7c8c11d902c362b0423e

commit 6d1926142de8211b0f4c7c8c11d902c362b0423e
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Tue Jun 6 10:10:41 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jun 12 13:24:02 2017 -0400

    Merge pull request #1488 from yrudman/allow-to-access-report-after-task-deleted
    
    Allow to see saved reports after linked MiqTask deleted
    (cherry picked from commit 348b6c188bfc3be0070745aa3bc861cba66574dc)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1460394

 app/controllers/report_controller/saved_reports.rb | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)
Comment 4 CFME Bot 2017-06-12 14:28:26 EDT
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/8e42ae102ba1cfdae409a9d67d5d0db8dc19829f

commit 8e42ae102ba1cfdae409a9d67d5d0db8dc19829f
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Mon Jun 5 10:31:22 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jun 12 14:25:52 2017 -0400

    Merge pull request #1481 from lpichler/fix_ci_failure_error_status
    
    Fix spec to use correct status of miq_task (CI failure)
    (cherry picked from commit c321505512372a033e637a6029d4e628dce4c233)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1460394

 spec/presenters/tree_node/miq_report_result_spec.rb | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
Comment 5 Niyaz Akhtar Ansari 2017-06-29 02:07:59 EDT
It works fine.
Verified in version 5.8.1.0.20170623170756_3ed4411
Comment 7 errata-xmlrpc 2017-08-02 13:29:29 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.